<?php
/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       
 * @since      1.0
 *
 * @package    Panoee
 * @subpackage Panoee/admin/partials
 */

// Check Nonce and then update options.
if ( ! empty( $_POST ) && check_admin_referer( 'panoee-project-setting', 'panoee-account-api' ) ) {
	update_option( '_panoee_account_api_usename', $_POST['panoee-account-api-username'] );
	update_option( '_panoee_account_api_password', $_POST['panoee-account-api-password'] );
	echo "<script type='text/javascript'>
		window.location=document.location.href;
	</script>";
} else {
	$account_api_usename          = stripslashes_deep( get_option( '_panoee_account_api_usename' ) );
	$account_api_password = stripslashes_deep( get_option( '_panoee_account_api_password' ) );
}


$output      = '<div class="wrap">';
	$output         .= '<div class="">';
		$output 	.= '<p>Please fill the account to login Panoee (at
		<a href="https://studio.panoee.com">https://studio.panoee.com</a>); or create your new account here</p>';
		$output     .= '<form method="post" action="">';
			$output .= '<fieldset id="panoee-field-username">';
			$output .= '<legend class="">' . __( 'Panoee Acount User Name', 'panoee' ) . '</legend>';
			$output .= '<input type="text" name="panoee-account-api-username" value="' . $account_api_usename . '" id="username-account"></fieldset>';
			$output .= '<p>' . __( '', 'panoee' );
			$output .= '<fieldset id="panoee-field-password" class="sslp-fieldset">';
			$output .= '<legend class="sslp-field-label">' . __( 'Panoee Acount Password', 'panoee' ) . '</legend>';
			$output .= '<input type="password" name="panoee-account-api-password" value="' . $account_api_password . '" id="password-account"></fieldset>';
			$output .= '<p>' . __( '', 'panoee' ) . '</p>';
			$output .= '<div id="noti-test-connection"></div>';
			$output .= '<p><button class="button button-primary button-large btn-test-contect" onclick="event.preventDefault(); test_connection()"> '. __( "Test Connection", "panoee" ).' </button>';
			$output .= '<a href="https://studio.panoee.com/account/auth/register" target="_blank" class="button button-primary button-large btn-reg-account"> '. __( "Register account", "panoee" ).' </a></p>';
			$output .= '</p><input type="submit" value="' . __( 'Save ALL Changes', 'panoee' ) . '" class="button button-primary button-large btn-save-changes"></p><br /><br />';
			$output .= wp_nonce_field(  'panoee-project-setting', 'panoee-account-api'  );
		$output     .= '</form>';
	$output         .= '</div>';
$output         .= '</div>';

// @codingStandardsIgnoreLine
echo $output;
?>
<script>
		function test_connection () {
			e = jQuery('#username-account').val();
			pw = jQuery('#password-account').val();
			jQuery.ajax({
			"url": "https://studio-api.panoee.com/api/auth/login",
			"method": "POST",
			"timeout": 0,
			"data": {
				"email": e,
				"password": pw
			},
			success: function (data) {
				jQuery('#noti-test-connection').css("color", "blue");
				jQuery('#noti-test-connection').text(data.msg);
			},
			error: function(err){
				jQuery('#noti-test-connection').css("color", "red");
				result = JSON.parse(err.responseText);
				if(result['errors'][0].msg != '') {
					jQuery('#noti-test-connection').text(result['errors'][0].msg);
				}
			}});
		};
</script>

<style>
	.btn-test-contect {
		margin-right: 15px!important;
	}
	#noti-test-connection {
		color: red;
	}
</style>