<?php
/**
 * Fired during plugin activation
 *
 * @link       https://wordpress.org
 * @since      1.0
 *
 * @package    Panoee
 * @subpackage Panoee/includes
 */

/**
 * Fired during plugin activation.
 *
 * This class defines all code necessary to run during the plugin's activation.
 *
 * @since      1.0
 * @package    Panoee
 * @subpackage Panoee/includes
 * @author     Wordpress plugin <wordpress@gmail.com>
 */
class Panoee_Activator {

	/**
	 * Runs on plugin activation.
	 *
	 * Sets up initial plugin option contents.
	 *
	 * @since    1.0
	 *
	 * @param    bool $is_forced Whether or not the "activation" function was forced to run.
	 */
	public static function activate( $is_forced = false ) {
		
		$default_name_singular = _x( 'Panoee List', 'post type singular name', 'panoee-list' );
		$default_name_plural   = _x( 'Panoee Lists', 'post type general name', 'panoee-list' );
		
		if ( ! get_option( '_panoee_listing_custom_name_singular' ) ) {
			update_option( '_panoee_listing_custom_name_singular', $default_name_singular );
		}
		if ( ! get_option( '_panoee_listing_custom_name_plural' ) ) {
			update_option( '_panoee_listing_custom_name_plural', $default_name_plural );
		}

	}

}
