<?php
/**
 * Fired during plugin deactivation
 *
 * @link       https://wordpress.org
 * @since      1.0
 *
 * @package    Panoee
 * @subpackage Panoee/includes
 */

/**
 * Fired during plugin deactivation.
 *
 * This class defines all code necessary to run during the plugin's deactivation.
 *
 * @since      1.0
 * @package    Panoee
 * @subpackage Panoee/includes
 * @author     Wordpress plugin <wordpress@gmail.com>
 */
class Panoee_Deactivator {

	/**
	 * Runs on plugin deactivation.
	 *
	 * Nothing but flushing rewrite rules right now.
	 *
	 * @since    1.0
	 */
	public static function deactivate() {
		flush_rewrite_rules();
	}

}
