<?php


if( ! class_exists( 'WP_List_Table' ) ) {
    require_once( ABSPATH . 'wp-admin/includes/class-wp-list-table.php' );
}

class Panoee_Display_Project extends WP_List_Table {
  
    private $token = '';
    private $data = array();
    private $found_data = array();
    
    function __construct()
    {
        parent::__construct(array(
            'singular' => 'wp_list_text_link',
            'plural' => 'wp_list_test_links',
            'ajax' => false
        ));
        $this->set_token();
        $this->set_data();
    }


    function set_token() {
        $this->token = $this->get_token();
    }
    function set_data() {
        $this->data = $this->get_data_api();
    }
    function prepare_items() {
        $columns = $this->get_columns();
        $hidden = array();
        $sortable = array();
        $this->_column_headers = array($columns, $hidden, $sortable);

        $per_page = 10;
        $current_page = $this->get_pagenum();
        if($this->data) {
            $total_items = count($this->data);
        
            // only ncessary because we have sample data
            $this->found_data = array_slice($this->data,(($current_page-1)*$per_page),$per_page);
            $this->set_pagination_args( array(
            'total_items' => $total_items,                  //WE have to calculate the total number of items
            'per_page'    => $per_page                     //WE have to determine how many items to show on a page
            ) );
            $this->items = $this->found_data;
        } else {
            $this->items = $this->data;
        }
    }



    function get_token () {
            $curl = curl_init();
            $username          = stripslashes_deep( get_option( '_panoee_account_api_usename' ) );
	        $password = stripslashes_deep( get_option( '_panoee_account_api_password' ) );
            curl_setopt_array($curl, array(
            CURLOPT_URL => 'https://studio-api.panoee.com/api/auth/login',
            CURLOPT_RETURNTRANSFER => true,
            CURLOPT_ENCODING => '',
            CURLOPT_MAXREDIRS => 10,
            CURLOPT_TIMEOUT => 0,
            CURLOPT_FOLLOWLOCATION => true,
            CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
            CURLOPT_CUSTOMREQUEST => 'POST',
            CURLOPT_POSTFIELDS => 'email='.$username.'&password='.$password ,
            CURLOPT_HTTPHEADER => array(
                'email: '. $username,
                'password: ' . $password,
                'X-Api-Key: OWM2MzU4ZDc5NmE5NGNjYmFlMDI5ODQ2Njk5YjUzM2E=',
                'Content-Type: application/x-www-form-urlencoded'
            ),
            ));

            $response = curl_exec($curl);

            curl_close($curl);
            $response_obj = json_decode($response);
            return $response_obj->token;
    }
   
    function get_data_api () {
        if(isset($_GET['status_post']) && $_GET['status_post'] == 'draft') {
            $status_post = 'false';
        } else {
            $status_post = 'true';
        }
        if(isset($_POST['s'])) {
            $key_search = str_replace(' ', '%20', $_POST['s']);
        } else {
            $key_search = '';
        }
        $curl = curl_init();
        curl_setopt_array($curl, array(
            CURLOPT_URL => 'https://studio-api.panoee.com/api/project/gets?page=1&limit=10&search='.$key_search.'&order_by=created_at&order=desc&publish='. $status_post,
            CURLOPT_RETURNTRANSFER => true,
            CURLOPT_ENCODING => '',
            CURLOPT_MAXREDIRS => 10,
            CURLOPT_TIMEOUT => 0,
            CURLOPT_FOLLOWLOCATION => true,
            CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
            CURLOPT_CUSTOMREQUEST => 'GET',
            CURLOPT_HTTPHEADER => array(
                'Authorization: Bearer '. $this->token
            ),
        ));
        $response = curl_exec($curl);
        curl_close($curl);
        $response_obj = json_decode($response);
        $data_response = $response_obj->data;
        $list_project = $data_response->docs;
        $size_list = count($list_project);
        // echo json_encode($list_project);
        //var_dump($list_project[0]->src_thumb);
       
        for ($i = 0; $i < $size_list; $i++){
            $thunbails = $list_project[$i]->first_scene->media;
            $thunbail  = ( $thunbails->src_thumb ) ? $thunbails->src_thumb : ($thunbails->src_preview) ?  $thunbails->src_preview : $thunbails->src;
            $arr_data_project = array(
            'projectid' => $i+1 ,
            'projecttitle' => $list_project[$i]->title,
            'projectfeaturedimg' => '<img src="'.$thunbail.'" width="150px"/>',
            'projectimgcount' => $list_project[$i]->scenes_count,
            'projectstatus' => $list_project[$i]->publish ? 'Publish' : 'Draft',
            'projectlastmodified' => $list_project[$i]->updated_at,
            'projectslug' => $list_project[$i]->slug,
            'projectscene' =>$list_project[$i]->first_scene->id,
            'projectparam' =>$list_project[$i]->id,
            'copyshortcode' => '<a class="copy-the-code-shortcode" data-target="" data-button-text="Copy Shortcode" data-button-copy-text="Copied!" data-content="[panoee_project name=&quot;'.$list_project[$i]->title.'&quot; slug=&quot;'.$list_project[$i]->slug.'&quot; w=&quot;100%&quot; h=&quot;400px&quot;][/panoee_project]" data-copy-as="text">Copy Shortcode</a>
          <br /><br />
          <div id="content-shortcode">[panoee_project name="'.$list_project[$i]->title.'" slug="'.$list_project[$i]->slug.'" w="100%" h="400px"][/panoee_project] </div>
          <br />');
            $project_data[$i] = $arr_data_project;
        }
        return $project_data;

    }
    function column_projecttitle($item) {
        $actions = array(
            'view detail'      => sprintf('<a href="'.get_site_url().'/panoee-project?post_id=%s" target="_blank">View detail</a>', $item['projectparam']),
            'view'      => sprintf('<a href="https://tour.panoee.com/' . $item['projectslug'] . '" target="_blank">View</a>'),
            'edit project'      => sprintf('<a href="https://studio.panoee.com/editor/%s/tour-editor/scene/%s/scene-info" target="_blank">Edit</a>', $item['projectparam'],  $item['projectscene']),
            'preview project'      => sprintf('<a href="https://tour.panoee.com/preview?tour=%s&scene=%s&token=%s" target="_blank">Preview</a>', $item['projectslug'],$item['projectscene'] ,$this->token),
             );
        return sprintf('%1$s %2$s', $item['projecttitle'], $this->row_actions($actions) );
      }
    

    function column_default( $item, $column_name ) {
            switch( $column_name ) { 
                case 'projectid':
                case 'projectfeaturedimg':
                case 'projectimgcount':
                case 'projecttitle':
                case 'copyshortcode':
                case 'projectstatus':
                case 'projectlastmodified':
                return $item[ $column_name ];
                default:
                return print_r( $item, true ) ; //Show the whole array for troubleshooting purposes
            }
        }
        
    protected function get_views() { 
        $status_links = array(
            "published" => __("<a href='".admin_url('admin.php?page=panoee-project&status_post=published')."'>Published</a>",'panoee'),
            "Draft"   => __("<a href='".admin_url('admin.php?page=panoee-project&status_post=draft')."'>Draft</a>",'panoee')
        );
        return $status_links;
    }
    function get_columns(){
        $columns = array(
            'projectid' => 'ID',
            'projectfeaturedimg'    => 'Featured Image',
            'projectimgcount'    => 'Image Count',
            'projecttitle' => 'Project Name',
            'copyshortcode' => 'Copy Shortcode',
            'projectstatus'    => 'Project Status',
            'projectlastmodified'    => 'Last Modified'
        );
        return $columns;
    }
    
    
}