<?php
/**
 * The plugin bootstrap file
 *
 * This file is read by WordPress to generate the plugin information in the plugin
 * admin area. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * that starts the plugin.
 *
 * @link              https://wordpress.org
 * @since             1.0
 * @package           Panoee
 *
 * @wordpress-plugin
 * Plugin Name:       Panoee
 * Plugin URI:        https://wordpress.org
 * Description:       build and display projects of panoee
 * Version:           1.0
 * Author:            Wordpress plugin
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

/**
 * Define constants for the plugin
 */
define( 'PANOEE_PATH', plugin_dir_path( __FILE__ ) );
define( 'PANOEE_URI', plugin_dir_url( __FILE__ ) );

/**
 * The code that runs during plugin activation.
 */
function activate_panoee() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-panoee-activator.php';
	Panoee_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 */
function deactivate_panoee() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-panoee-deactivator.php';
	Panoee_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_panoee' );
register_deactivation_hook( __FILE__, 'deactivate_panoee' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-panoee.php';


function check_pages_live()
{
    if( get_page_by_title( 'Panoee Project' ) == NULL )
    create_pages_fly( 'Panoee Project' );
}

function create_pages_fly($pageName) {
    $createPage = array(
      'post_title'    => $pageName,
      'post_content'  => '',
      'post_status'   => 'publish',
      'post_author'   => 1,
      'post_type'     => 'page',
      'post_name'     => $pageName
    );
    // Insert the post into the database
    wp_insert_post( $createPage );
}
register_activation_hook(__FILE__, 'check_pages_live');

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.17
 */
function run_panoee() {

	$plugin = new Panoee();
	$plugin->run();

}
run_panoee();
